-- Disclaimer
-- Dieser Quellcode ist als Vorlage oder als Ideengeber gedacht. Er kann frei und ohne 
-- Auflagen oder Einschrnkungen verwendet oder verndert werden.
-- Jedoch wird keine Garantie bernommen, das eine Funktionsfhigkeit mit aktuellen und 
-- zuknftigen API-Versionen besteht. Der Autor bernimmt daher keine direkte oder indirekte 
-- Verantwortung, wenn dieser Code gar nicht oder nur fehlerhaft ausgefhrt wird.
-- Fr Anregungen und Fragen stehe ich jedoch gerne zur Verfgung.

-- Thorsten Kansy, www.dotnetconsulting.eu

USE AdventureWorks;
GO

-- Query cost: 41%
DBCC DROPCLEANBUFFERS;
SELECT APPROX_COUNT_DISTINCT([OrderQty]) AS Approx_Distinct_OrderKey
FROM [Sales].[SalesOrderDetail];

-- Query cost: 59% 
DBCC DROPCLEANBUFFERS;
SELECT COUNT(DISTINCT [OrderQty]) AS Approx_Distinct_OrderKey
FROM [Sales].[SalesOrderDetail];
